Download it now!
Bug 118651 - FILESAVE DOCX Text box form control loses Text type property
Summary: FILESAVE DOCX Text box form control loses Text type property
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: filter:docx
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2018-07-09 21:39 UTC by Gabor Kelemen
Modified: 2018-07-19 12:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file saved from current master (16.99 KB, application/vnd.oasis.opendocument.text)
2018-07-09 21:39 UTC, Gabor Kelemen
Details
The example file saved from current master to docx (6.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-07-09 21:40 UTC, Gabor Kelemen
Details
Screenshot of the odt file in current master (224.63 KB, image/png)
2018-07-09 21:41 UTC, Gabor Kelemen
Details
Screenshot of the docx file in current master (207.29 KB, image/png)
2018-07-09 21:41 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-07-09 21:39:59 UTC
Created attachment 143407 [details]
The example file saved from current master

Attached odt has a simple text box form control containing a long text.
When saved as odt, this has the Text type set as multi-line by default, but in docx this is set as Single-line.

To reproduce:
1, Create a Text Box form control, set a long Default text. Notice the default 
2, Save it as odt
3, Save it as docx

Actual results:
In the docx file Text type is single line, while odt retains the setting.
Comment 1 Gabor Kelemen 2018-07-09 21:40:36 UTC
Created attachment 143408 [details]
The example file saved from current master to docx
Comment 2 Gabor Kelemen 2018-07-09 21:41:01 UTC
Created attachment 143409 [details]
Screenshot of the odt file in current master
Comment 3 Gabor Kelemen 2018-07-09 21:41:20 UTC
Created attachment 143410 [details]
Screenshot of the docx file in current master
Comment 4 Xisco Faulí 2018-07-13 09:23:25 UTC
Reproduced in


Version: 6.2.0.0.alpha0+
Build ID: 4b345f95ce7cb09011892bf465cfdf3811adaf8e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

in previous versions, the form button wasn't exported at all...
Comment 5 Commit Notification 2018-07-18 07:21:33 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4edb7599d83c897cc7e800b916dcedf07b645cba

tdf#118651 OOXML ActiveX textbox: fix multiline support

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-19 12:46:24 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=076cb54472d5bba8916df9ee50074ac74433d694&h=libreoffice-6-1

tdf#118651 OOXML ActiveX textbox: fix multiline support

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.